package fr.uca.iut.urbandictionarylight.data

import androidx.room.*
import fr.uca.iut.urbandictionarylight.model.Definition

@Dao
interface DefinitionDao {
    @Query("SELECT * FROM definitions")
    fun queryAll(): Set<Definition>

    @Query("SELECT * FROM entries WHERE id == :id")
    fun query(id: Int): Definition?

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    fun insert(entry: Definition)

    @Update
    fun update(entry: Definition)

    @Delete
    fun delete(entry: Definition)
}